<?php

function wpss_options_page() {

	global $wpss_options;
	
	global $widget_id;

	$widget_id_fr = isset($wpss_options['widget_id']) ? $wpss_options['widget_id'] : "";
			
	ob_start(); ?>
	<div class="wrap" style="overflow: hidden;margin-bottom: 10px">

		<form method="post" action="options.php">
			<?php settings_fields('wpss_settings_group'); ?>
			<?php 
				$logo_url=plugins_url( '/images/ss.png' , __FILE__ );
			?>
			<div class="smartspeech_logo_holder">
				<a href="https://smartspeech.club" target="_blank"><img alt="Smart Speech" src="<?php echo $logo_url;?>" /></a>
			</div>
			<div class="smartspeech_options_holder">
				
				<div class="smartspeech_title">Smart Speech keeps all the configuration in the cloud. Pleae use the API key to activate all the features.<br />
					If you haven't created an account yet, <a href="https://smartspeech.club" target="_blank">click here</a>.</div>

				<div class="smartspeech_option_holder">
					<b>Widget ID: </b>
					<input id="wpgs_settings[widget_id]" name="wpss_settings[widget_id]" type="text" value="<?php echo $widget_id_fr; ?>" ></input>
				</div>

				<div class="smartspeech_button_holder">
					<input type="submit" class="button-primary btn-lg" value="<?php _e('Save Options', 'wpss_domain'); ?>" />
				</div>

				<div style="margin-top: 10px;">
					<iframe width="560" height="315" src="https://www.youtube.com/embed/L6lLjXFUniU" title="Smart Speech" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
				</div>

			</div>
	</form>
</div>
	<?php
	echo ob_get_clean();
}

function wpss_add_options_link() {
	$icon_url=plugins_url( '/images/icon.png' , __FILE__ );
	$page = add_menu_page('Smart Speech Plugin Options', 'Smart Speech', 'manage_options', 'smartspeech-options', 'wpss_options_page',$icon_url);
	add_action('admin_print_scripts-' . $page, 'wpss_load_admin_scripts');
}

function wpss_register_settings() {
	// creates our settings in the options table
	register_setting('wpss_settings_group', 'wpss_settings');
}

function wpss_load_admin_scripts() {
	wp_enqueue_style('wpss-styles10', plugin_dir_url( __FILE__ ) . 'css/admin.css');

	wp_enqueue_script('wpss-script1', plugin_dir_url( __FILE__ ) . 'js/admin.js',array('jquery','jquery-ui-core','jquery-ui-accordion','jquery-ui-tabs','jquery-ui-slider'));
}

add_action('admin_menu', 'wpss_add_options_link');
add_action('admin_init', 'wpss_register_settings');

function wpss_on_deactivate() {
	delete_option('wpss_settings');
}

register_deactivation_hook(__FILE__, 'wpss_on_deactivate');